#!/bin/tcsh -f

if( $#argv < 2) then
    echo "Usage: $0 <src host> <outfile name>"
    echo " Mode = 16Msps/1bit/4ch x 4"
    exit(1)
endif



set rate = 256

## Command List
# play_rate=data:<Mbps>
# send_rate=<Mbps>
# net_protocol=
# in2net=on
# in2net=off
# in2net=connect:<ip>:<port>
# mode=<xxMsps>:<bit>:<Nch>
# frame_size=<byte>  Packet size
# data_source?
# data_out=multi:<nout>
# data_out= <type>[num]:<name>; type=FILE/NET


set host = $argv[1]
set outf = $argv[2]
set body = $outf:r
set ext = $outf:e
set outf1 = ${body}-1.${ext}
set outf2 = ${body}-2.${ext}
set outf3 = ${body}-3.${ext}
set outf4 = ${body}-4.${ext}
if(  -d $outf ) then 
    echo "Error: Specified:'${outf}' is not file but directory";
    exit(1);
endif

#set host = wetz-vsi
#set tgthost = k51b.jp.apan.net
set port = 9902
#set port = 9903
#set port = 46224
set cmd = "tcp-talk.pl -h ${host}:${port}"

#echo $cmd -m data_out=FILE[0]:;
#$cmd -m in2net=connect:${gthost}:${port};

echo $cmd -m play_rate=data:${rate};
$cmd -m play_rate=data:${rate};


$cmd -m data_out=multi:4;
echo $cmd -m data_out=multi:4;

$cmd -m data_out=FILE0:${outf1};
echo $cmd -m data_out=FILE0:${outf1};
$cmd -m data_out=FILE1:${outf2};
echo $cmd -m data_out=FILE1:${outf2};
$cmd -m data_out=FILE2:${outf3};
echo $cmd -m data_out=FILE2:${outf3};
$cmd -m data_out=FILE3:${outf4};
echo $cmd -m data_out=FILE3:${outf4};

# $cmd -m data_out=FILE2:${outf}3;
# echo $cmd -m data_out=FILE2:${outf}3;

# $cmd -m data_out=FILE3:${outf}4;
# echo $cmd -m data_out=FILE3:${outf}4;


## mode=16:2:16   16Msps/2bit/16ch
echo $cmd -m modegrp=0:16:2:4:0;
$cmd -m  modegrp=0:16:2:4:0;
$cmd -m  modegrp=1:16:2:4:4;
$cmd -m  modegrp=2:16:2:4:8;
$cmd -m  modegrp=3:16:2:4:12;
#$cmd -m  modegrp=2:8:1:4:8;
#$cmd -m  modegrp=3:8:1:4:12;
#$cmd -m in2net=connect:localhost:9901
#$cmd -m in2net=connect:sirius0

  sleep 1;
$cmd -m in2net=on
echo $cmd 
   echo "sending..."
   sleep 15;   
$cmd -m in2net=off
echo "stopped "

